<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li class="current"><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_o.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_o"></a>- o -</h3><ul>
<li>Object()
: <a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">framework::core::Object</a>
</li>
<li>ObjectName()
: <a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">framework::core::Object</a>
</li>
<li>ObjectType()
: <a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">framework::core::Object</a>
</li>
<li>OffsetStepDown()
: <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#a727efcb1324bb404259392ca9436dd0d">framework::filter::PidThrust</a>
</li>
<li>OffsetStepUp()
: <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#a2f4e396a81c025043064bedadc9d8a20">framework::filter::PidThrust</a>
</li>
<li>OneAxisRotation()
: <a class="el" href="classframework_1_1core_1_1_one_axis_rotation.html#a841c5c1c80bf9c8b88a55287bfcc7f9c">framework::core::OneAxisRotation</a>
</li>
<li>OpticalFlow()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow.html#ad0e557273132d2db2bb7b5dfb6a1ed6c">framework::filter::OpticalFlow</a>
</li>
<li>OpticalFlowData()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_data.html#a57dfc783629016b02608903516e536f2">framework::filter::OpticalFlowData</a>
</li>
<li>OpticalFlowSpeed()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_speed.html#a660fbf6eacc850f12a40eee33c53d356">framework::filter::OpticalFlowSpeed</a>
</li>
<li>Output()
: <a class="el" href="classframework_1_1actuator_1_1_bldc.html#a25d34de702c4a799e80e839fe4c2929f">framework::actuator::Bldc</a>
, <a class="el" href="classframework_1_1filter_1_1_butterworth_low_pass.html#a3188b63248c37664d17323d1b2b5ec3f">framework::filter::ButterworthLowPass</a>
</li>
<li>output
: <a class="el" href="classframework_1_1filter_1_1_control_law.html#ad53d5431005ac68b78d845f0f9086a38">framework::filter::ControlLaw</a>
</li>
<li>Output()
: <a class="el" href="classframework_1_1filter_1_1_control_law.html#a1cb9b3853750acd5697f7640df1d714f">framework::filter::ControlLaw</a>
, <a class="el" href="classframework_1_1filter_1_1_cvt_color.html#af4de218ce7b4f8e55fff35b41583fd50">framework::filter::CvtColor</a>
, <a class="el" href="classframework_1_1filter_1_1_euler_derivative.html#a9219006323be3d32e491c42956a081f8">framework::filter::EulerDerivative</a>
, <a class="el" href="classframework_1_1filter_1_1_img_threshold.html#a0dc18f73e4a1c1bfd4be7dd66f099d90">framework::filter::ImgThreshold</a>
, <a class="el" href="classframework_1_1filter_1_1_low_pass_filter.html#a73d8a679123097825748a8674e5b3766">framework::filter::LowPassFilter</a>
, <a class="el" href="classframework_1_1filter_1_1_optical_flow_speed.html#a5e9a32ff3b69c17f4f11f570d3742507">framework::filter::OpticalFlowSpeed</a>
, <a class="el" href="classframework_1_1filter_1_1_sobel.html#a0373f8bccca1294b0ec08636fadac8e4">framework::filter::Sobel</a>
, <a class="el" href="classframework_1_1sensor_1_1_camera.html#a2908c0c53ddea9b501e1bdf253e2aadf">framework::sensor::Camera</a>
</li>
<li>output
: <a class="el" href="classframework_1_1sensor_1_1_laser_range_finder.html#a6768198eb8e89725f392b10440fad9a7">framework::sensor::LaserRangeFinder</a>
, <a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html#a6631052182a52d9712a4f0275b02b5bc">framework::sensor::UsRangeFinder</a>
</li>
<li>Output()
: <a class="el" href="classframework_1_1sensor_1_1_vrpn_object.html#ae1e97c9cc96180856d3d059294d57894">framework::sensor::VrpnObject</a>
</li>
<li>OutputToShMem()
: <a class="el" href="classframework_1_1core_1_1_i_o_device.html#a5d6345ad826683212ecb8d182614a77f">framework::core::IODevice</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
